[palladio-dev] [sdq-dev] Problem with PCM metamodels v5

Martin Kuester kuester at fzi.de
Fri Mar 16 16:01:33 CET 2012


Hi Chris, 

sorry I meant "Metamodel *mappings*" -- but this is only worthwhile for using in the development workbench.

For your specific problem: Try opening the "Operational QVT Metamodel Explorer" and look in Platform for your metamodel. If it's not there, it is not registered properly. (this doesn't solve the problem, but helps to narrow it down ^^)

-Martin

> -----Ursprüngliche Nachricht-----
> Von: Chris Vogel [mailto:chris_vogel at gmx.net]
> Gesendet: Freitag, 16. März 2012 14:23
> An: palladio-dev at ira.uka.de; Martin Kuester
> Betreff: Re: AW: [sdq-dev] [palladio-dev] Problem with PCM metamodels v5
> 
> Hi Martin,
> 
> I have no entries in "QVT Settings --> Metamodel Seetings".
> At this point you can only register metamodels from your workspace for
> usage in the qvt transformation. I a tutorial about QVT-O it says that
> only metamodels registered via the Eclipse platform would work. All my
> needed metamodels, are available as plugins and should be automatically be
> registered.
> It seems that there is a mistake with the registered PCM models...
> 
> Kind regards
> Chris
> 
> > Hi Chris,
> >
> > did you have a look at the project properties under "QVT Settings -->
> > Metamodel Seetings" to check that the model URIs are all correct?
> > Just a thought.
> >
> > -Martin
> >
> >> -----Ursprüngliche Nachricht-----
> >> Von: sdq-dev-bounces at ira.uni-karlsruhe.de
> >> [mailto:sdq-dev-bounces at ira.uni-
> >> karlsruhe.de] Im Auftrag von Chris Vogel
> >> Gesendet: Freitag, 16. März 2012 11:45
> >> An: palladio-dev at ira.uka.de
> >> Betreff: [sdq-dev] [palladio-dev] Problem with PCM metamodels v5
> >>
> >> Hi together,
> >>
> >> I have a strange problem with Eclipse 3.7.2 ModelingTools with
> >> Operational QVT and the latest PCM 3.3 nightly build.
> >> To use them in my QVT-O transformation I defined the PCM metamodels
> >> in the transformation header (see. qvt_models_pcm.png).
> >> By using the new metamodels with version 5 I got the errors shown in
> >> the
> >> picture: Failed to resolve Metamodel "..." . When I use an old URL,
> >> like
> >> */Repository/4.0 then you can see in the tooltip of Eclipse that it
> >> targets Version 5.0 of the PCM (see target_old_url.png)
> >>
> >> Additionally in the View "Metamodel Explorer" I got some errors
> >> concerning the PCM metamodels as shown in picture
> >> metamodel_explorer_error.png The ErrorLog has no entries concerning
> >> this.
> >>
> >> Does anybody know what is wrong here? It seems that there at some
> >> point of the PCM still the old URLs are used...
> >>
> >> Kind regards
> >> Chris Vogel



More information about the palladio-dev mailing list